group "QuotationCharacteristics.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 14 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 12 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
measureType?, quoteUnits?, side?, currency?, currencyType?, timing?, (businessCenter | exchangeId)?, informationSource*, pricingModel?, time?, valuationDate?, expiryTime?, cashflowType?

Content Model Elements (14):

  businessCenter (defined in QuoteLocation.model group),
  cashflowType (defined in QuotationCharacteristics.model group),
  currency (defined in QuotationCharacteristics.model group),
  currencyType,
  exchangeId (defined in QuoteLocation.model group),
  expiryTime (defined in QuotationCharacteristics.model group),
  informationSource (defined in QuotationCharacteristics.model group),
  measureType,
  pricingModel,
  quoteUnits,
  side (defined in QuotationCharacteristics.model group),
  time (defined in QuotationCharacteristics.model group),
  timing,
  valuationDate (defined in QuotationCharacteristics.model group)

Known Usage Locations

- In definitions of other model groups (1):
  Quotation.model
- In definitions of global complexTypes (2):
  MultiDimensionalPricingData, QuotationCharacteristics

Annotation
A group collecting a set of characteristics that can be used to describe a quotation.
XML Source (w/o annotations (14); see within schema source)

<xsd:group name="QuotationCharacteristics.model"> <xsd:sequence> <xsd:element minOccurs="0" name="measureType" type="AssetMeasureType"/> <xsd:element minOccurs="0" name="quoteUnits" type="PriceQuoteUnits"/> <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="currencyType" type="ReportingCurrencyType"/> <xsd:element minOccurs="0" name="timing" type="QuoteTiming"/> <xsd:group minOccurs="0" ref="QuoteLocation.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/> <xsd:element minOccurs="0" name="pricingModel" type="PricingModel"/> <xsd:element minOccurs="0" name="time" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="expiryTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 12/14)
cashflowType

  Type: | CashflowType, simple content

  For cash flows, the type of the cash flows. Examples include: Coupon payment, Premium Fee, Settlement Fee, Brokerage Fee, etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"/>

currency

  Type: | Currency, simple content

  The optional currency that the measure is expressed in. If not supplied, this is defaulted from the reportingCurrency in the valuationScenarioDefinition.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

currencyType

  Type: | ReportingCurrencyType, simple content

  The optional currency that the measure is expressed in. If not supplied, this is defaulted from the reportingCurrency in the valuationScenarioDefinition.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currencyType" type="ReportingCurrencyType"/>

expiryTime

  Type: | xsd:dateTime, predefined, simple content

  When does the quote cease to be valid.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expiryTime" type="xsd:dateTime"/>

informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/>

measureType

  Type: | AssetMeasureType, simple content

  The type of the value that is measured. This could be an NPV, a cash flow, a clean price, etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="measureType" type="AssetMeasureType"/>

pricingModel

  Type: | PricingModel, simple content

  .
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingModel" type="PricingModel"/>

quoteUnits

  Type: | PriceQuoteUnits, simple content

  The optional units that the measure is expressed in. If not supplied, this is assumed to be a price/value in currency units.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quoteUnits" type="PriceQuoteUnits"/>

side

  Type: | QuotationSideEnum, simple content

  The side (bid/mid/ask) of the measure.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Bid" | - | A value "bid" by a buyer for an asset, i.e. the value a buyer is willing to pay. See: http://www.FpML.org
  "Ask" | - | A value "asked" by a seller for an asset, i.e. the value at which a seller is willing to sell. See: http://www.FpML.org
  "Mid" | - | A value midway between the bid and the ask value. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"/>

time

  Type: | xsd:dateTime, predefined, simple content

  When the quote was observed or when a calculated value was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="time" type="xsd:dateTime"/>

timing

  Type: | QuoteTiming, simple content

  When during a day the quote is for. Typically, if this element is supplied, the QuoteLocation needs also to be supplied.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timing" type="QuoteTiming"/>

valuationDate

  Type: | xsd:date, predefined, simple content

  When the quote was computed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.